libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Structures | Functions
desc_atsc_service_location.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for ATSC service location. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | atsc_desc_service_location_elementary
| service location elementary descriptors More...
struct | atsc_desc_service_location
| Describes the elementary streams inside a PAT table for ATSC. More...

## Functions
int | atsc_desc_service_location_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the service location descriptor. More...
void | atsc_desc_service_location_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the service location descriptor. More...
void | atsc_desc_service_location_free (struct dvb_desc *desc)
| Frees all data allocated by the service location descriptor. More...

## Detailed Description

Provides the descriptors for ATSC service location.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:
  - ATSC A/53

See also
  http://www.etherguidesystems.com/help/sdos/atsc/semantics/descriptors/ServiceLocation.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_atsc_service_location.h.